Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FitnessEvaluation.externalInterpreters.SymbolicRegression
Class SymbolicRegressionJScheme

    java.lang.Object
      FitnessEvaluation.InterpretedFitnessEvaluation
          FitnessEvaluation.InterpretedJScheme
              FitnessEvaluation.externalInterpreters.SymbolicRegression.SymbolicRegressionJScheme

All Implemented Interfaces:
  FitnessFunction, ParameterI, Stochastic

    public class SymbolicRegressionJScheme

extends InterpretedJScheme
implements Stochastic

Evaluates the fitness for the SymbolicRegressionExperiment class. The help class SymRegFunk is used to evaluate the arithmetic expressions.

Author:
  michael

Field Summary

Fields inherited from class FitnessEvaluation.InterpretedJScheme
`js`

Constructor Summary
`SymbolicRegressionJScheme()` Creates a new instance of SymbolicRegressionJScheme

Method Summary
`RandomNumberGenerator` | `getRNG()` Get the number generator
`double` | `runFile(Phenotype p)` Run the phenotype and return the fitness
`void` | `setHead(Range range)`
`void` | `setProperties(java.util.Properties p)` Set properties
`void` | `setRNG(RandomNumberGenerator m)` Set the number generator

Methods inherited from class FitnessEvaluation.InterpretedFitnessEvaluation
`canCache, getFitness`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolicRegressionJScheme

    public SymbolicRegressionJScheme()

  Creates a new instance of SymbolicRegressionJScheme

Method Detail

### setProperties

    public void setProperties(java.util.Properties p)

  Description copied from interface: `ParameterI`
  Set properties

  Specified by:
    `setProperties` in interface `ParameterI`
  Parameters:
    `p` - object containing properties

### getRNG

    public RandomNumberGenerator getRNG()

  Description copied from interface: `Stochastic`
  Get the number generator

  Specified by:
    `getRNG` in interface `Stochastic`
  Returns:
    number generator

### setRNG

    public void setRNG(RandomNumberGenerator m)

  Description copied from interface: `Stochastic`
  Set the number generator

  Specified by:
    `setRNG` in interface `Stochastic`
  Parameters:
    `m` - number generator

### setHead

    public void setHead(Range range)

### runFile

    public double runFile(Phenotype p)

  Description copied from class: `InterpretedFitnessEvaluation`
  Run the phenotype and return the fitness

  Specified by:
    `runFile` in class `InterpretedFitnessEvaluation`
  Parameters:
    `p` - input
  Returns:
    fitness of input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD